---
updatedAt: 2026-07-15T02:08:15.000Z
---

Fetch the complete documentation index at: https://docs.blockdaemon.com/llms.txt. Use this file to discover all available pages before exploring further. Append .md to any documentation page URL to get its markdown version.

# Kusama via Substrate Sidecar API

> 🚧 Substrate API Sidecar is going to be deprecated
>
> Sidecar is being replaced by the [Polkadot REST API](https://paritytech.github.io/polkadot-rest-api/). The new API is not a drop-in replacement, endpoints now include a `/v1/` prefix and some argument names have changed. See the [migration guide](https://paritytech.github.io/polkadot-rest-api/#guide-migration) to update your integration.

**Step 1:** To access Kusama via Substrate Sidecar, use the following native access endpoint:

* **Network**: Kusama Mainnet
* **Request Type**: GET / POST

```
https://svc.blockdaemon.com/kusama/mainnet/native
```

* **Network**: Kusama Mainnet Asset Hub
* **Request Type**: GET / POST

```
https://svc.blockdaemon.com/kusama/mainnet/native/assethub
```

**Step 2**: Add a Substrate Sidecar method at the end of the query:

> Learn more about Kusama Substrate Sidecar methods [here](https://docs.blockdaemon.com/reference/kusama-rest-methods-rpc-api).

```
https://svc.blockdaemon.com/kusama/mainnet/native/YOUR_METHOD
```

**Step 3**: For POST requests, specify the required data in the request body.

## Example Request for Substrate Sidecar API

Here is a cURL example for using **GET /blocks/head/header** to get the header of the most recently finalized block in Kusama Mainnet:

```curl
curl -X GET \
https://svc.blockdaemon.com/kusama/mainnet/native/blocks/head/header \
-H 'Authorization: Bearer YOUR_API_KEY'
```

The following is a typical response you will get:

```json
{
    "parentHash": "0xd2321a7ffc86663a202b57f3db042a6b90ea4617d9fd64ad153af36aa62c9274",
    "number": "14017588",
    "stateRoot": "0x0ad4d1716a77421bb2e254d0df548fc1c5ad6081057be9797534b02ef394daa8",
    "extrinsicsRoot": "0xde3f7437ff01e80efdd23c3172b2171ad40852dc7e881c4fff0072b097f1b650",
    "digest": {
        "logs": [
            {
                "preRuntime": [
                    "0x42414245",
                    "0x03d6000000590b7f1000000000964cad717dc1614e72ea13894665e656e7dc2e16fe8a5397fb7b71170644a300c2344d0914b407b0fd0c7ae72403025946a2be45eeadd9339c516ccf05f5c80bb7e32a535aa0aa82d015b315ebc99d100e512976d9a2c9aba8d7b6d15793cd0b"
                ]
            },
            {
                "seal": [
                    "0x42414245",
                    "0x68778ac227550d204f3c541dd07bc3266b41a0d0ca4dc6e5a06cb4c954585d53a61e56d2be99190fa24d6c8e6cb24ac0870ebb3aa325fae8817c7d46c27ca181"
                ]
            }
        ]
    }
}
```

## 👋 Need Help?

Contact us through [email](mailto:support@blockdaemon.com) or our [support page](https://www.blockdaemon.com/support) for any issues, bugs, or assistance you may need.